Update a pull request

View as Markdown
Updates an open pull request.

Authentication

x-api-keystring
API Key authentication via header

Path parameters

pullRequestIdstringRequired
The pull request's ID.

Request

This endpoint expects an object.
titlestringRequired
The pull request's updated title.
reviewerslist of stringsRequired
An updated list of the pull request's assigned reviewers. This replaces all existing users assigned to the pull request with those you pass in the request body.
descriptionstringOptional
The updated pull request description.

Response

Successful Response
createdAtdatetimeOptional
The date and time at which the pull request was created.
createdBystringOptional
The ID of the user who created the pull request.
descriptionstringOptional
The pull request's description.
destinationIdstringOptionalformat: "uid"
The pull request's merge destination ID.
forkTypestringOptional
The type of forked element.
idstringOptional
The pull request's ID.
sourceIdstringOptionalformat: "uid"
The unique ID of the source element.
statusenumOptional
The pull request's status.
titlestringOptional
The pull request's title.
updatedAtdatetimeOptional
The date and time at which the pull request was updated.

Errors

403
Forbidden Error
409
Conflict Error
500
Internal Server Error